Jitu211003
Hot Shot
Hot Shot

Enabling TLS 1.2 on ESXi 5.0 & Vcenter Server 5.0

Jump to solution

Hi All,

Can anyone help me, how to enable the TLS 1.2 on ESXi 5.0 and Vcenter 5.0.

Thanks

Tags (2)
0 Kudos
1 Solution

Accepted Solutions
Jitu211003
Hot Shot
Hot Shot

Hi,

Thanks for your reply. But i have already googled a lot.

The article is for Vsphere 6.0 & 6.5.  Check if it applies to Vsphere 5.0.

View solution in original post

0 Kudos
4 Replies
batuhandemirdal
Enthusiast
Enthusiast

Hi,

The following document will see your business.

vSphere and TLS 1.2 - VMware vSphere Blog

Install the TLS Configuration Utility

0 Kudos
Jitu211003
Hot Shot
Hot Shot

Hi,

Thanks for your reply. But i have already googled a lot.

The article is for Vsphere 6.0 & 6.5.  Check if it applies to Vsphere 5.0.

View solution in original post

0 Kudos
Gaurav_Baghla
VMware Employee
VMware Employee

I dont think 5.0 might understand TLS 1.2 since it is already in its late stages VMware Knowledge Base

However can you provide me the exact version and then we can see how to proceed

Regards Gaurav Baghla Opinions are my own and not the views of my employer. https://twitter.com/garry_14
AntonStoyanov
VMware Employee
VMware Employee

Hi

VMware products are using OpenSSL

According to this link: https://en.wikipedia.org/wiki/OpenSSL

TLS 1.1 and TLS 1.2 started to be supported from 1.0.0 Released on March 14, 2012

According to this link https://www.vmware.com/support/vsphere5/doc/vsphere-esx-vcenter-server-50-release-notes.html

VMware vCenter Server™ 5.0 | 24 Aug 2011 | Build 456005

See there can't be 5.0 supporting TLS 1.2 as OpenSSL didn't have the support of TLS 1.2 in 2011.

I am leading the team that made vSphere 6.7 to ship out of the box with TLS 1.2 by default.

We have also delivered the TLSReconfigurator tool, so version 6.0 U3 and 6.5 could be configured to be TLS 1.2 only

You know, The End of General Support for vSphere 5.0 and vSphere 5.1 is August 24, 2016.

I encourage you to move to 6.5 U1 version or 6.0 U3 so you could fully benefit from the security TLS 1.2 protocol offers. Both releases have TLS 1.2 support and are great and stable.